%define major	0
%define libname %mklibname gcal %{major}
%define develname %mklibname gcal -d

Name:		libgcal
Version:	0.9.6
Release:	%mkrel 3
Summary:	Implements Google Data Protocol 2.0
License:	BSD
Group:		System/Libraries
URL:		http://code.google.com/p/libgcal/
Source:		http://libgcal.googlecode.com/files/%name-%version.tar.xz
Patch0:		libgcal-0.9.6-check-for-empty-strings.patch
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	libxml2-devel
BuildRequires:	check-devel

%description
Implements Google Data Protocol 2.0. 
It does allow communication with google calendar and contacts, 
implements already:
- authentication
- get all events/contacts
- atom stream parsing
- access to individual events/contacts
- add/delete/edit events/contacts
- query for updated events/contacts
- add/edit/delete contacts with photo
- download your contact's photos
- proxy is supported
- timezones
- use only xml to add/edit/delete entries
- great doxygen documentation 

#-------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library implementing Google Data Protocol Data 2.0
Group:		System/Libraries
Obsoletes:	libgcal <= 0.9.3-1
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This library implements Google Data Protocol 2.0
It does allow communication with google calendar and contacts, 
implements already:
- authentication
- get all events/contacts
- atom stream parsing
- access to individual events/contacts
- add/delete/edit events/contacts
- query for updated events/contacts
- add/edit/delete contacts with photo
- download your contact's photos
- proxy is supported
- timezones
- use only xml to add/edit/delete entries
- great doxygen documentation 

%files -n	%{libname}
%{_libdir}/libgcal.so.%{major}*

#--------------------------------------------------------------------


%package -n	%{develname}
Summary:	Library headers for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Obsoletes:	libgcal-devel <= 0.9.3-1
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n	%{develname}
%{_includedir}/*
%{_libdir}/libgcal.so
%{_libdir}/pkgconfig/libgcal.pc
%{_libdir}/LibGCal/cmake/LibGCalConfig.cmake

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
%cmake
%make

%install
%makeinstall_std -C build


%changelog
* Tue Oct 15 2019 tex - 0.9.6-3pclos2019
- rebuild against updates

* Sat Jul 22 2017 bb2 <bb2> - 0.9.6-2pclos2017
- rebuild against updates

